# Interface methods for submodule: MetaConverterBase
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ObjectProxy as _ObjectProxy


# Interface methods for class: MetaConverterBase
class MetaConverterBaseProxy(_ObjectProxy):
	def GetNameOfClass(self):
		""""""
		...

	def ReadMeta(self, name):
		""""""
		...

	def WriteMeta(self, spatialObject, name) -> bool:
		""""""
		...

	def MetaObjectToSpatialObject(self, mo):
		""""""
		...

	def SpatialObjectToMetaObject(self, spatialObject):
		""""""
		...

	def SetWriteImagesInSeparateFile(self, _arg: bool) -> None:
		""""""
		...

	def GetWriteImagesInSeparateFile(self) -> bool:
		""""""
		...

	def WriteImagesInSeparateFileOn(self) -> None:
		""""""
		...

	def WriteImagesInSeparateFileOff(self) -> None:
		""""""
		...

